diff options
Diffstat (limited to 'src')
-rw-r--r-- | src/opkbuild.sh | 19 |
1 files changed, 15 insertions, 4 deletions
diff --git a/src/opkbuild.sh b/src/opkbuild.sh index 16fc95d..52bf1bf 100644 --- a/src/opkbuild.sh +++ b/src/opkbuild.sh @@ -26,7 +26,8 @@ print_usage() { cat <<EOF -Usage: ${1} [-r assume-uid0-cmd] [-a host-architecture] [-p host-platform] [-d] +Usage: ${1} [-r assume-uid0-cmd] [-a host-architecture] [-p host-platform] \ +[-d] [-u] EOF } @@ -55,7 +56,7 @@ error() exit 1 } -opts=$(getopt -n "${0}" -o 'r:a:p:ds:V' -- "${@}") +opts=$(getopt -n "${0}" -o 'r:a:p:dus:V' -- "${@}") if [ ${?} -ne 0 ]; then print_usage "${0}" >&2 exit 1; @@ -79,6 +80,10 @@ while true; do dbg=true shift ;; + -u) + unclean=true + shift + ;; -s) status_override=${2} shift 2 @@ -109,6 +114,9 @@ fi if [ -z "${dbg}" ]; then dbg=false fi +if [ -z "${unclean}" ]; then + unclean=false +fi # Sanity checks. printf 'opkbuild: Checking for sanity...\n' @@ -358,6 +366,9 @@ for binpkgdir in ../*.pkg/; do fi done -# Clean up tmp. cd .. -rm -Rf tmp + +# Clean up tmp. +if ! ${unclean}; then + rm -Rf tmp +fi |